Error

Discussion in 'Spigot Help' started by GHStudios, Jul 3, 2016.

  1. When ever i punch the air or move my console spams this error!!!
    Please help!!

    Code (Text):
    [09:08:16 ERROR]: Could not pass event PlayerInteractEvent to mcMMO-Withdraw v2.0
    org.bukkit.event.EventException
            at org.bukkit.plugin.java.JavaPluginLoader$1.execute(JavaPluginLoader.java:310) ~[spigot.jar:git-Spigot-798f32d-0cd0397]
            at org.bukkit.plugin.RegisteredListener.callEvent(RegisteredListener.java:62) ~[spigot.jar:git-Spigot-798f32d-0cd0397]
            at org.bukkit.plugin.SimplePluginManager.fireEvent(SimplePluginManager.java:502) [spigot.jar:git-Spigot-798f32d-0cd0397]
            at org.bukkit.plugin.SimplePluginManager.callEvent(SimplePluginManager.java:487) [spigot.jar:git-Spigot-798f32d-0cd0397]
            at org.bukkit.craftbukkit.v1_9_R2.event.CraftEventFactory.callPlayerInteractEvent(CraftEventFactory.java:231) [spigot.jar:git-Spigot-798f32d-0cd0397]
            at org.bukkit.craftbukkit.v1_9_R2.event.CraftEventFactory.callPlayerInteractEvent(CraftEventFactory.java:198) [spigot.jar:git-Spigot-798f32d-0cd0397]
            at org.bukkit.craftbukkit.v1_9_R2.event.CraftEventFactory.callPlayerInteractEvent(CraftEventFactory.java:194) [spigot.jar:git-Spigot-798f32d-0cd0397]
            at net.minecraft.server.v1_9_R2.PlayerConnection.a(PlayerConnection.java:1387) [spigot.jar:git-Spigot-798f32d-0cd0397]
            at net.minecraft.server.v1_9_R2.PacketPlayInArmAnimation.a(SourceFile:32) [spigot.jar:git-Spigot-798f32d-0cd0397]
            at net.minecraft.server.v1_9_R2.PacketPlayInArmAnimation.a(SourceFile:9) [spigot.jar:git-Spigot-798f32d-0cd0397]
            at net.minecraft.server.v1_9_R2.PlayerConnectionUtils$1.run(SourceFile:13) [spigot.jar:git-Spigot-798f32d-0cd0397]
            at java.util.concurrent.Executors$RunnableAdapter.call(Unknown Source) [?:1.8.0_91]
            at java.util.concurrent.FutureTask.run(Unknown Source) [?:1.8.0_91]
            at net.minecraft.server.v1_9_R2.SystemUtils.a(SourceFile:45) [spigot.jar:git-Spigot-798f32d-0cd0397]
            at net.minecraft.server.v1_9_R2.MinecraftServer.D(MinecraftServer.java:726) [spigot.jar:git-Spigot-798f32d-0cd0397]
            at net.minecraft.server.v1_9_R2.DedicatedServer.D(DedicatedServer.java:399) [spigot.jar:git-Spigot-798f32d-0cd0397]
            at net.minecraft.server.v1_9_R2.MinecraftServer.C(MinecraftServer.java:665) [spigot.jar:git-Spigot-798f32d-0cd0397]
            at net.minecraft.server.v1_9_R2.MinecraftServer.run(MinecraftServer.java:564) [spigot.jar:git-Spigot-798f32d-0cd0397]
            at java.lang.Thread.run(Unknown Source) [?:1.8.0_91]
    Caused by: java.lang.NullPointerException
            at com.aliumcraft.mcmmowithdraw.Events.onInteract(Events.java:26) ~[?:?]
            at sun.reflect.GeneratedMethodAccessor137.invoke(Unknown Source) ~[?:?]
            at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source) ~[?:1.8.0_91]
            at java.lang.reflect.Method.invoke(Unknown Source) ~[?:1.8.0_91]
            at org.bukkit.plugin.java.JavaPluginLoader$1.execute(JavaPluginLoader.java:306) ~[spigot.jar:git-Spigot-798f32d-0cd0397]
            ... 18 more
     
  2. update the mcmmo to the newest version
     
    • Useful Useful x 1
  3. fixed? make it solved plz
     
  4. No, thats just a example, All my plugins say that. Like every plugin.. They all up to date also.
     
  5. maybe other plugin is interacting with mcmmo
     
  6. what is your java version, make sure it's compatible with all of your plugins
     
  7. Newest version as i just switched to ssd and redownloaded it all.
     
  8. plugin list?

    EDIT: Do you maybe have any custom (selfmade) plugins?
     
  9. I do but they never gave any errors before. It only just started
     
  10. Has the custom plugin something to do with mcmmo? I think it is mcmmo-withdraw (i can't find it on internet, so that's probably the problem)
    and did you recently updated anything? that probably why this happens.

    If you have any developers they will maybe know what to do.
     
  11. No, Ignore the fact that it is mcmmo, Thats just a example msg. All my plugins not just mcmmo is showing that.
     
  12. try removing that plugin
     
  13. Sigh i give up cause u dont know what im saying lol.
     
    • Funny Funny x 1
  14. Not they're not. This is just an issue with mcmmo withdraw. Just tell the author about the problem and update if necesarry.
     
  15. Omfg u guys cant read, I say all plugins not mcmmo. All my plugins are saying that error, Same error diffrent plugin name. I was not gunna copy over 3000 errors.
     
    • Optimistic Optimistic x 1
  16. It's technically not possible that all plugins give the same error with the same stacktrace. Therefore you are wrong.
     
  17. It is, And it does.
     
  18. Alright. Then please show us at least one error of another plugin to prove you're right.
     
  19. Maybe try updating the plugins or updating spigot

    EDIT: You are stupid so you probably didn't even try this at first
     
  20. Lol u are the stupid idiot, Its not that the plugins are not updated, I just downloaded all the plugins 2 days ago so of fucking course they are updated.... Think before u speak!